Update an evidence record
curl --request PATCH \
--url https://api.artu.ai/evidence/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"data": {
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {}
}
}
'import requests
url = "https://api.artu.ai/evidence/{id}"
payload = { "data": {
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {expiresAt: '2023-12-25', externalId: '<string>', metadata: {}, fields: {}}
})
};
fetch('https://api.artu.ai/evidence/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/evidence/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'expiresAt' => '2023-12-25',
'externalId' => '<string>',
'metadata' => [
],
'fields' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/evidence/{id}"
payload := strings.NewReader("{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/evidence/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/evidence/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"category": "invoice",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}Evidence
Update an evidence record
PATCH
/
evidence
/
{id}
Update an evidence record
curl --request PATCH \
--url https://api.artu.ai/evidence/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"data": {
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {}
}
}
'import requests
url = "https://api.artu.ai/evidence/{id}"
payload = { "data": {
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {expiresAt: '2023-12-25', externalId: '<string>', metadata: {}, fields: {}}
})
};
fetch('https://api.artu.ai/evidence/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/evidence/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'expiresAt' => '2023-12-25',
'externalId' => '<string>',
'metadata' => [
],
'fields' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/evidence/{id}"
payload := strings.NewReader("{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/evidence/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/evidence/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"category": "invoice",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Category
Available options:
invoice, receipt, bank_statement, proof_of_payment, contract, shipping, other Scope
Available options:
MX, US Type
Minimum string length:
1Status
Available options:
pending_upload, uploaded, pending_review, processing, verified, rejected, expired, no_file Filename
Content Type
Size
Required range:
-9007199254740991 <= x <= 9007199254740991Expires At
Verified At
Verified By
Rejection Reason
Reviewed At
Reviewed By
External ID
Fields
Show child attributes
Show child attributes
Metadata
Show child attributes
Show child attributes
Was this page helpful?
